Subject: RE: draft-ietf-opes-smtp-use-cases-01

From: "Martin Stecher" <[email-masked]>
Date: Tue, 21 Jun 2005 12:01:23 +0200

Hi,

> I do not recall all the examples and my computer lost me most 
> of old mails. 

There is an archive of the mailing list. See
http://www.imc.org/ietf-openproxy/index.html
The entries in the collected sample list
(http://www.martin-stecher.de/opes/smtpusecases.html)
link to the email in that archive in which they have been proposed.

> I may be wrong I do not see content translations, vote 
> organisation, notes added to text (I am pushing right now 
> hard so we are not blocked by WG-ltru language tagging which 
> do not care about other applications - they name them troll 
> :-) and to keep CRC (Community/Context Reference/Relational
> Centers) and other extended services and externet aspects in 
> the IETF loop). Text related services must use language tags 
> and the callout servers must rely on CRCs.

Content translation was already discussed in RFC3752.
Translation of the content is an application agnostic OPES
use case that always applies.
The introduction of this SMTP use cases draft refers to RFC3752
and says:
   This work focus on OPES for SMTP [8] use cases,
   whereby, additional use cases and enhancements to the types of OPES
   services defined in [2] are provided.

> [...]
> 
> At 09:58 20/06/2005, Martin Stecher wrote:
> >(And btw, it does not need both ends to accept the selected 
> routing of 
> >an email)
> 
> This is the security problem.

It is an SMTP issue. Routing selection is done by SMTP agents today
and not introduced by OPES. We are not here to fix SMTP.
The callout server may give the OPES processor some input for the
routing decision it has to do anyway. The general threats that OPES
introduces here are described in RFC3837.

Regards
Martin